Bug 472512 - metacity segv
metacity segv
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 06:45 EST by David Woodhouse
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 16:26:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-11-21 06:45:41 EST
On a machine upgraded from Fedora 9:

(metacity:2672): GLib-CRITICAL **: g_strsplit: assertion `string != NULL' failed

Program received signal SIGSEGV, Segmentation fault.
button_layout_handler (pref=<value optimized out>, 
    string_value=<value optimized out>, inform_listeners=0xbfb9bff8)
    at core/prefs.c:1487
1487	  if (sides[0] != NULL)
Missing separate debuginfos, use: debuginfo-install GConf2-2.24.0-1.fc10.ppc ORBit2-2.14.16-1.fc10.ppc atk-1.24.0-1.fc10.ppc cairo-1.8.0-1.fc10.ppc dbus-glib-0.76-2.fc10.ppc dbus-libs-1.2.4-1.fc10.ppc e2fsprogs-libs-1.41.3-2.fc10.ppc expat-2.0.1-5.ppc fontconfig-2.6.0-3.fc10.ppc freetype-2.3.7-1.fc10.ppc glib2-2.18.2-3.fc10.ppc glibc-2.9-2.ppc gtk2-2.14.4-3.fc10.ppc libICE-1.0.4-4.fc10.ppc libSM-1.1.0-2.fc10.ppc libX11-1.1.4-5.fc10.ppc libXau-1.0.4-1.fc10.ppc libXcomposite-0.4.0-5.fc10.ppc libXcursor-1.1.9-3.fc10.ppc libXdamage-1.1.1-4.fc9.ppc libXdmcp-1.0.2-6.fc10.ppc libXext-1.0.4-1.fc9.ppc libXfixes-4.0.3-4.fc10.ppc libXi-1.1.3-4.fc9.ppc libXinerama-1.0.3-2.fc10.ppc libXrandr-1.2.3-1.fc10.ppc libXrender-0.9.4-3.fc9.ppc libcap-2.10-2.fc10.ppc libpng-1.2.33-1.fc9.ppc libselinux-2.0.73-1.fc10.ppc libxcb-1.1.91-5.fc10.ppc pango-1.22.1-1.fc10.ppc pixman-0.12.0-1.fc10.ppc startup-notification-0.9-4.fc9.ppc zlib-1.2.3-18.fc9.ppc
(gdb) p sides
$1 = (char **) 0x0
(gdb) bt
#0  button_layout_handler (pref=<value optimized out>, 
    string_value=<value optimized out>, inform_listeners=0xbfb9bff8)
    at core/prefs.c:1487
#1  0x1002ff24 in handle_preference_init_string () at core/prefs.c:549
#2  meta_prefs_init () at core/prefs.c:1017
#3  0x1002b7c4 in main (argc=1, argv=0xbfb9c624) at core/main.c:395
Comment 1 David Woodhouse 2008-11-21 07:30:16 EST
This was with metacity-2.24.0-2.fc10.ppc

I built 2.25.5-1 to debug, and the problem seems to have gone away.
Comment 2 Bug Zapper 2008-11-26 00:43:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Owen Taylor 2009-11-16 16:26:51 EST
Described as fixed in 2.26 (Fedora 11)

Note You need to log in before you can comment on or make changes to this bug.